propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Property.PropellorRepo

Synopsis

- hasOriginUrl :: String -> Property (HasInfo + UnixLike)
- newtype OriginUrl = OriginUrl String

# Documentation

hasOriginUrl :: String -> Property (HasInfo + UnixLike) Source #

Sets the url to use as the origin of propellor's git repository.

By default, the url is taken from the deploy or origin remote of the repository that propellor --spin is run in. Setting this property overrides that default behavior with a different url.

When hosts are being updated without using -- --spin, eg when using the `runPropellor` cron job, this property can be set to redirect them to a new git repository url.

newtype OriginUrl Source #

Constructors

OriginUrl String |

Instances

Show OriginUrl Source # |
Methods showsPrec :: Int -> OriginUrl -> ShowS show :: OriginUrl -> String showList :: [OriginUrl] -> ShowS